
import { ActionFormData, MessageFormData, ModalFormData } from "mojang-minecraft-ui"
import { world, Player } from "mojang-minecraft"

world.events.beforeItemUse.subscribe(b => {
    const { item, source } = b
    if (item.id == "fred:fred") {
        actionform(source)
    }
})

function actionform(player) {
    new ActionFormData()
    .title("§6Knights of the Zodiac Menu")
    .body("")
    .button("Black Knight of Andromeda",`textures/items/adban`) //0
    .button("Black Knight of Phoenix",`textures/items/adbfn`) //1
    .button("Black Knight of Swan",`textures/items/adbcn`) //2
    .button("Black Knight of Pegasus",`textures/items/adbpn`) //3
    .button("Black Knight of Dragon",`textures/items/adbdn`) //4
    .button("Defeat Marin",`textures/items/mestrep`) //5
    .button("Defeat Kurisutaru",`textures/items/mestrec`) //6
    .button("Defeat Dohko",`textures/items/mestred`) //7
    .button("Defeat Kefeusu",`textures/items/mestrea`) //8
    .button("Defeat Guilty",`textures/items/mestref`) //9
    .button("Next",`textures/items/next`) // proxima pagina e sempre o ultimo
    .show(player).then((r) => {
        if (r.selection === 0) {
            player.runCommand(`summon fred:cavaleirona`)
        }
        if (r.selection === 1) {
            player.runCommand(`summon fred:cavaleironf`)
        }
        if (r.selection === 2) {
            player.runCommand(`summon fred:cavaleironc`)
        }
        if (r.selection === 3) {
            player.runCommand(`summon fred:cavaleironp`)
        }
        if (r.selection === 4) {
            player.runCommand(`summon fred:cavaleirond`)     
        }
        if (r.selection === 5) {
            player.runCommand(`summon fred:mestrep`)
        }
        if (r.selection === 6) {
            player.runCommand(`summon fred:mestrec`)
        }
        if (r.selection === 7) {
            player.runCommand(`summon fred:mestred`) 
        }
        if (r.selection === 8) {
            player.runCommand(`summon fred:mestrea`)
        }
        if (r.selection === 9) {
            player.runCommand(`summon fred:mestref`)       
        }
        if (r.selection === 10) {     // sempre o numero maior
            pag2(player)
            
            
        }
    })
}

function pag2(player) {
    new ActionFormData()
    .title("Knights of the Zodiac Shop")
    .body("")
    .button("§64000 Cosmic",`textures/items/adba`) //0
    .button("§64000 Cosmic",`textures/items/adbp`) //1
    .button("§68000 Cosmic",`textures/items/adbf`) //2
    .button("§64000 Cosmic",`textures/items/adbc`) //3
    .button("§64000 Cosmic",`textures/items/adbd`) //4
    .button("§61000 Cosmic",`textures/items/adblm`) //5
    .button("§61000 Cosmic",`textures/items/adblb`) //6
    .button("§61000 Cosmic",`textures/items/adbh`) //7
    .button("§61000 Cosmic",`textures/items/adbuni`) //8
    .button("§61000 Cosmic",`textures/items/adbu`) //9
    .button("Retun",`textures/items/retun`) // sempre por no final
    .show(player).then((r) => {
        if (r.selection === 0) {
            player.runCommand('give @s[scores={cosmic=4000..}] fred:adba')
            player.runCommand('scoreboard players remove @s[scores={cosmic=4000..}] cosmic 4000')
        }
        if (r.selection === 1) {
            player.runCommand('give @s[scores={cosmic=4000..}] fred:adbp')
            player.runCommand('scoreboard players remove @s[scores={cosmic=4000..}] cosmic 4000')
        }
        if (r.selection === 2) {
            player.runCommand('give @s[scores={cosmic=8000..}] fred:adbf')
            player.runCommand('scoreboard players remove @s[scores={cosmic=8000..}] cosmic 8000')
        }
        if (r.selection === 3) {
            player.runCommand('give @s[scores={cosmic=4000..}] fred:adbc')
            player.runCommand('scoreboard players remove @s[scores={cosmic=4000..}] cosmic 4000')
        }
        if (r.selection === 4) {
            player.runCommand('give @s[scores={cosmic=4000..}] fred:adbd')
            player.runCommand('scoreboard players remove @s[scores={cosmic=4000..}] cosmic 4000')
        }
        if (r.selection === 5) {
            player.runCommand('give @s[scores={cosmic=1000..}] fred:adblm')
            player.runCommand('scoreboard players remove @s[scores={cosmic=1000..}] cosmic 1000')
        }
        if (r.selection === 6) {
            player.runCommand('give @s[scores={cosmic=1000..}] fred:adblb')
            player.runCommand('scoreboard players remove @s[scores={cosmic=1000..}] cosmic 1000')
        }
        if (r.selection === 7) {
            player.runCommand('give @s[scores={cosmic=1000..}] fred:adbh')
            player.runCommand('scoreboard players remove @s[scores={cosmic=1000..}] cosmic 1000')
        }
        if (r.selection === 8) {
            player.runCommand('give @s[scores={cosmic=1000..}] fred:adbuni')
            player.runCommand('scoreboard players remove @s[scores={cosmic=1000..}] cosmic 1000')
        }
        if (r.selection === 9) {
            player.runCommand('give @s[scores={cosmic=1000..}] fred:adbu')
            player.runCommand('scoreboard players remove @s[scores={cosmic=1000..}] cosmic 1000')
        }
        if (r.selection === 10) { // sempre o numero maior
            actionform(player)
        }
    })
}
